Bug 1219891 - Missing define for TCP_USER_TIMEOUT in netinet/tcp.h
Summary: Missing define for TCP_USER_TIMEOUT in netinet/tcp.h
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: glibc
Version: 7.2
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: ---
Assignee: Carlos O'Donell
QA Contact: Arjun Shankar
URL:
Whiteboard:
Depends On:
Blocks: 1198791 1226799
TreeView+ depends on / blocked
 
Reported: 2015-05-08 15:25 UTC by John Eckersberg
Modified: 2019-07-11 09:07 UTC (History)
14 users (show)

Fixed In Version: glibc-2.17-90.el7
Doc Type: Bug Fix
Doc Text:
The library header netinet/tcp.h did not contain some of the newer definitions such as TCP_USER_TIMEOUT which were required for user applications to compile correctly. The library headers have been updated and synchronized with Linux kernel definitions for TCP_* constants. Two new structures, tcp_repair_opt, and tcp_cookie_transactions have also been added to the header.
Clone Of:
: 1226799 (view as bug list)
Environment:
Last Closed: 2015-11-19 04:18:12 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2015:2199 normal SHIPPED_LIVE Moderate: glibc security, bug fix, and enhancement update 2015-11-19 08:04:22 UTC
Sourceware 15003 None None None Never

Description John Eckersberg 2015-05-08 15:25:56 UTC
Description of problem:

netinet/tcp.h is missing the define for TCP_USER_TIMEOUT (along with others).  Looks like davem fixed this upstream in 2.18 here:

https://sourceware.org/git/?p=glibc.git;a=commit;h=e83d72988d89378e7c70a1b7ba0b450a699ea70a

But this hasn't made its way into the RHEL7 glibc.

We're trying to use this features to improve availability for RHEL OpenStack Platform so it would be great to get this fixed quickly if possible.



Version-Release number of selected component (if applicable):

glibc-headers-2.17-78.el7.x86_64

Comment 2 John Eckersberg 2015-05-08 15:29:37 UTC
One more note I forgot, I'd like to get this proposed for 7.1.z once the flags are set.  We got a kernel fix backported for 7.1.z to fix a related issue (bug 1215924) so it would be nice to get an updated glibc build to go with it.

Comment 3 Fabio Massimo Di Nitto 2015-05-11 20:26:33 UTC
Raising severity as this affects a major component in OpenStack and we can't rebuild the package until the headers are fixed.

Comment 23 errata-xmlrpc 2015-11-19 04:18:12 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-2199.html


Note You need to log in before you can comment on or make changes to this bug.